<?php
	// REFACTOR => be kene kerulnie a JobURL classba
	class TranslatorJobsURL {
		public static function renderURL( $p = array() , $lang = "" ) {
			if (empty( $lang )) $lang = $GLOBALS["language"];
			if (isset( $p["job_id"] )) {
				$job_id = $p["job_id"];
				unset( $p["job_id"] );

				switch ($lang) {
				default:
				case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/munkaajanlat/" . $job_id . "/" , $p );
				case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/translation-job/" . $job_id . "/" , $p );
				}
			}
			switch ($lang) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/munkaajanlatok/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/translation-jobs/" , $p );
			}
		}
	}
?>
